#! /bin/bash

#############################################################
# This example show a list of availabel conda environments  #
#############################################################

#############################################################
# set qsub options                                          #
#############################################################
# run in low.q
#$ -l low

# request enough memory
# #$ -l h_vmem=8G,memory=8G,h_stack=8M

# Name the job 'Conda-Test'
#$ -N Conda-Test

#############################################################
# initialize conda                                          #
#############################################################
__conda_setup="$('/opt/anaconda3/bin/conda' 'shell.bash' 'hook' 2> /dev/null)"
if [ $? -eq 0 ]; then
	eval "$__conda_setup"
else
	if [ -f "/opt/anaconda3/etc/profile.d/conda.sh" ]; then
		. "/opt/anaconda3/etc/profile.d/conda.sh"
	else
		export PATH="/opt/anaconda3/bin:$PATH"
	fi
fi
unset __conda_setup

#############################################################
# show conda environments                                   #
#############################################################
conda env list
